Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class EntityClassPlace

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.EntityClassPlace

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class EntityClassPlace

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Entity Class Place', and utility methods for working with them. specDomain: V10892 (C-0-D10882-V13922-V10892-cpt)

See Also:
  `CDAR2Package.getEntityClassPlace()`

Field Summary
`static int` | `CITY` The 'CITY' literal value.
`static EntityClassPlace` | `CITY_LITERAL` The 'CITY' literal object.
`static int` | `COUNTRY` The 'COUNTRY' literal value.
`static EntityClassPlace` | `COUNTRY_LITERAL` The 'COUNTRY' literal object.
`static int` | `COUNTY` The 'COUNTY' literal value.
`static EntityClassPlace` | `COUNTY_LITERAL` The 'COUNTY' literal object.
`static int` | `PLC` The 'PLC' literal value.
`static EntityClassPlace` | `PLC_LITERAL` The 'PLC' literal object.
`static int` | `PROVINCE` The 'PROVINCE' literal value.
`static EntityClassPlace` | `PROVINCE_LITERAL` The 'PROVINCE' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Entity Class Place' enumerators.

Method Summary
`static EntityClassPlace` | `get(int value)` Returns the 'Entity Class Place' literal with the specified integer value.
`static EntityClassPlace` | `get(java.lang.String literal)` Returns the 'Entity Class Place' literal with the specified literal value.
`static EntityClassPlace` | `getByName(java.lang.String name)` Returns the 'Entity Class Place' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLC

    public static final int PLC

  The 'PLC' literal value.

  If the meaning of 'PLC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PLC_LITERAL`, Constant Field Values

### CITY

    public static final int CITY

  The 'CITY' literal value.

  If the meaning of 'CITY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CITY_LITERAL`, Constant Field Values

### COUNTRY

    public static final int COUNTRY

  The 'COUNTRY' literal value.

  If the meaning of 'COUNTRY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COUNTRY_LITERAL`, Constant Field Values

### COUNTY

    public static final int COUNTY

  The 'COUNTY' literal value.

  If the meaning of 'COUNTY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COUNTY_LITERAL`, Constant Field Values

### PROVINCE

    public static final int PROVINCE

  The 'PROVINCE' literal value.

  If the meaning of 'PROVINCE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROVINCE_LITERAL`, Constant Field Values

### PLC_LITERAL

    public static final EntityClassPlace PLC_LITERAL

  The 'PLC' literal object.

  See Also:
    `PLC`

### CITY_LITERAL

    public static final EntityClassPlace CITY_LITERAL

  The 'CITY' literal object.

  See Also:
    `CITY`

### COUNTRY_LITERAL

    public static final EntityClassPlace COUNTRY_LITERAL

  The 'COUNTRY' literal object.

  See Also:
    `COUNTRY`

### COUNTY_LITERAL

    public static final EntityClassPlace COUNTY_LITERAL

  The 'COUNTY' literal object.

  See Also:
    `COUNTY`

### PROVINCE_LITERAL

    public static final EntityClassPlace PROVINCE_LITERAL

  The 'PROVINCE' literal object.

  See Also:
    `PROVINCE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Entity Class Place' enumerators.

Method Detail

### get

    public static EntityClassPlace get(java.lang.String literal)

  Returns the 'Entity Class Place' literal with the specified literal value.

### getByName

    public static EntityClassPlace getByName(java.lang.String name)

  Returns the 'Entity Class Place' literal with the specified name.

### get

    public static EntityClassPlace get(int value)

  Returns the 'Entity Class Place' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD